Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class MeetingAttendanceTracking

    java.lang.Object
      portlets.compoze.groupware.calendar.MeetingAttendanceTracking

All Implemented Interfaces:
  java.io.Serializable

public class MeetingAttendanceTracking
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MeetingAttendanceTracking.AttendeeType` This class represents meeting attendee type.
`static class` | `MeetingAttendanceTracking.MeetingResponseStatus` This class represents meeting response status.

Constructor Summary
`MeetingAttendanceTracking(java.lang.String sAttendeeName, java.lang.String sAttendeeEmailAddress, MeetingAttendanceTracking.AttendeeType attendeeType, MeetingAttendanceTracking.MeetingResponseStatus meetingResponseStatus)` Constructor

Method Summary
`java.lang.String` | `getAttendeeEmailAddress()` Gets the attendee email address
`java.lang.String` | `getAttendeeName()` Gets the attendee name
`MeetingAttendanceTracking.AttendeeType` | `getAttendeeType()` Gets the attendee type
`MeetingAttendanceTracking.MeetingResponseStatus` | `getMeetingResponseStatus()` Gets the meeting attendee response status

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeetingAttendanceTracking

    public MeetingAttendanceTracking(java.lang.String sAttendeeName,
                                     java.lang.String sAttendeeEmailAddress,
                                     MeetingAttendanceTracking.AttendeeType attendeeType,
                                     MeetingAttendanceTracking.MeetingResponseStatus meetingResponseStatus)

  Constructor

Parameters:
  `sAttendeeName` - the attendee name (may not be `null`)
  `sAttendeeEmailAddress` - the attendee email address
  `attendeeType` - the attendee type (may not be `null`)
  `meetingResponseStatus` - the meeting response status (may not be `null`)

Method Detail

### getAttendeeName

    public java.lang.String getAttendeeName()

  Gets the attendee name

  Returns:
    the meeting attendee name

### getAttendeeEmailAddress

    public java.lang.String getAttendeeEmailAddress()

  Gets the attendee email address

  Returns:
    the meeting attendee email address

### getAttendeeType

    public MeetingAttendanceTracking.AttendeeType getAttendeeType()

  Gets the attendee type

  Returns:
    the meeting attendee type

### getMeetingResponseStatus

    public MeetingAttendanceTracking.MeetingResponseStatus getMeetingResponseStatus()

  Gets the meeting attendee response status

  Returns:
    the meeting attendee response status

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.